---
title: WorkerGlobalScope.ononline
slug: Web/API/WorkerGlobalScope/ononline
tags:
  - API
  - Property
  - Reference
  - Référence(2)
  - Web Workers
  - WorkerGlobalScope
  - ononline
---
<p>{{APIRef("Web Workers API")}}</p>

<p>The <strong><code>ononline</code></strong> property of the {{domxref("WorkerGlobalScope")}} interface represents an {{domxref("EventHandler")}} to be called when the {{event("online")}} event occurs and bubbles through the {{domxref("Worker")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre>self.ononline = function() { ... };</pre>

<h2 id="Example">Example</h2>

<p>The following code snippet shows an <code>ononline</code> handler set inside a worker:</p>

<pre class="brush: js">self.ononline = function() {
  console.log('Your worker is now online');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#handler-workerglobalscope-ononline", "WorkerGlobalScope.ononline")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.ononline")}}</p>

<h2 id="See_also">See also</h2>

<p>The {{domxref("WorkerGlobalScope")}} interface it belongs to.</p>
